Subject: Advertise when no addresses available (was: Re: A few additional items re: -19 draft)

From: Ralph Droms <[email-masked]>
Date: Thu, 26 Jul 2001 15:33:49 -0400

I vote for the server to not respond if it has no addresses available.

- Ralph

At 12:10 PM 7/23/2001 -0500, Bernie Volz (EUD) wrote:
>- When forming the Advertise in response to a Solicit, there
>isn't any clear indication of what to do if no addresses may
>be available for the client from that server at that time
>(because all available addresses are in use). In particular,
>should the server:
>- Ignore the Solicit (in the hopes that by the time a subsequent
>   Solicit arrives, addresses may be available)
>- Send the Advertise but without the IA option
>- Send the Advertise with the IA option but with an error (such
>   as Unavail)
>- Send the Advertise with the IA option with num-addrs = 0
>
>Or, should a client be prepared to handle all of the above?

---

From: Jitesh N Verma <[email-masked]>
Date: Fri, 27 Jul 2001 19:15:21 +0530 (IST)

Ralph,
	If the server does not respond, client will keep sending Solicit
message, flooding the network. This is particularly true when there is only
one server in the network. (If there are multiple server in the network, other
servers may respond. No problem in this case). Please keep in mind that lease
times are not going to be just few seconds. What I mean to say is that if the
IP addresses are not available currently, it may not be available for quite
some time.
	Looking at the various options, I will opt for server responding with
IA containing Unavail error. I am not in favour of server responding with 
num-addrs = 0 , since this sort of IA is used to indicate empty IA. Let us
not mix up. Let us provide more clarity to the implementer. 

- Jitesh

-- 
-----------------------------------------------------------------------

    ~                                                             ~
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*
^ Jitesh N. Verma                     Tel. 91-80-225 1554 Ext. 1424   ^
^ HEWLETT PACKARD                     Fax. 91-80-220 0196             ^
^ INDIA SOFTWARE OPERATIONS         Email. [email-masked]        ^
^ 29, CUNNINGHAM ROAD               Pager. 9624-263608                ^
^ BANGALORE 560 052        __      Telnet. 847-1424                   ^
^                         / /                                         ^
^                        / /___ _____                                 ^
^                       / __  // __  /                                ^
^                      / / / // /_/ /                                 ^
^                     /_/ /_// ____/                                  ^
^                           / /                                       ^
^                          /_/                                        ^
*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*

---

From: Jim Bound <[email-masked]>
Date: Fri, 27 Jul 2001 11:51:41 -0400 (EDT)

I vote no response too.

/jim